﻿using ETHZ.C0284H.Calculator.Instruct.Visitor;

namespace ETHZ.C0284H.Calculator.Instruct.Commands
{
    public sealed class QuitInstruct : CommandInstruct
    {
        public QuitInstruct()
            : base(CalculatorCommandType.CMD_QUIT)
        {
        }

        public override void Accept(ICalculatorInstructVisitor visitor)
        {
            if (visitor != null)
            {
                visitor.VisitCommand(this);
            }
        }
    }
}