﻿using System;
using ETHZ.C0284H.Calculator.Instruct;

namespace ETHZ.C0284H.Calculator.UI
{
    public sealed  class InstructEventArgs : EventArgs
    {
        private readonly ICalculatorInstruct _instruct;

        public InstructEventArgs(ICalculatorInstruct instruct)
        {
            if (instruct == null)
            {
                throw new ArgumentNullException("instruct");
            }

            _instruct = instruct;
        }

        public ICalculatorInstruct Instruct
        {
            get
            {
                return _instruct;
            }
        }
    }
}